__author__ = 'AOsorio1'

import pytest


#noinspection PyMethodParameters
class SeleniumTester(object):

    homepage = ""
    logger = None
    browser = None

    def navigate(self, page):
        """
        Navigate to "page"
        """
        if self.browser is None:
            pytest.skip("""property browser was not initializer.
            You need to set SeleniumTester.browser to a valid web=driver object""")
        self.browser.get(page)


    def go_home(self):
        """
        Navigate to home page
        """
        self.navigate(self.homepage)

    @staticmethod
    def config_folder():
        """
        Returns project's config folder
        This method must be defined in subclasses
        """
        raise NotImplementedError("Subclasses should implement this!")

    @staticmethod
    def project_folder():
        """
        Returns project's root folder
        This method must be defined in subclasses
        """
        raise NotImplementedError("Subclasses should implement this!")
